<?php
/**
 * The template for displaying Comments.
 *
 * The area of the page that contains both current comments
 * and the comment form.  The actual display of comments is
 * handled by a callback to wpcrunchy_comment which is
 * located in the functions.php file.
 *
 * @package WordPress
 */
?>


<div id="comments">
	<?php if ( post_password_required() ) : ?>
	<p class="nopassword"><?php _e( 'This post is password protected. Enter the password to view any comments.', 'bluezine' ); ?></p>
</div><!-- #comments -->
<?php
	/* Stop the rest of comments.php from being processed,
	* but don't kill the script entirely -- we still have
	* to fully load the template.
	*/
	return;
	endif;
?>
<?php if ( have_comments() ) : $GLOBALS['comment'] = $comment; 
	foreach ($comments as $comment) {
		if ($comment->comment_type == 'trackback' || $comment->comment_type == 'pingback')
			$linkbacks[] = $comment;
		else
			$only_comments[] = $comment;
	}
	if ($linkbacks) : ?>
	<h3 id="comments-title"><?php count_comment(count($linkbacks), 'trackbacks'); ?></h3>
	<dl id="trackback_list">
<?php foreach ($linkbacks as $comment) : ?>
		<dt><?php echo get_comment_author_link(); ?></dt>
		<dd><?php echo '<span>' . sprintf(__('%1$s at %2$s'), get_comment_date(), get_comment_time()) . '</span>'; ?></dd>
<?php endforeach; ?>
    </dl>
<?php endif;

	if ($only_comments) : ?>
    <h3 id="comments-title"><?php count_comment(count($only_comments), 'comments'); ?></h3>
	<ol class="commentlist">
    	<?php
			/* Loop through and list the comments. Tell wp_list_comments()
			 * to use bluezine_comment() to format the comments.
			 * If you want to overload this in a child theme then you can
			 * define bluezine_comment() and that will be used instead.
			  * See bluezine_comment() in bluezine/functions.php for more.
			 */
			wp_list_comments( array( 'callback' => 'bluezine_comment' ) );
		?>
    </ol>
<?php endif; ?>
        
<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
	<div class="navigation">
		<div class="nav-previous"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Older Comments', 'bluezine' ) ); ?></div>
		<div class="nav-next"><?php next_comments_link( __( 'Newer Comments <span class="meta-nav">&rarr;</span>', 'bluezine' ) ); ?></div>
	</div><!-- .navigation -->
<?php endif; // check for comment navigation ?>
<?php else : // or, if we don't have comments:

	/* If there are no comments and comments are closed,
	 * let's leave a little note, shall we?
	 */
	if ( ! comments_open() ) :
?>
	<p class="nocomments"><?php _e( 'Comments are closed.', 'bluezine' ); ?></p>
<?php endif; // end ! comments_open() ?>

<?php endif; // end have_comments() ?>

<?php comment_form(array(
	'title_reply' => __( 'Post a Comment' ),
	'cancel_reply_link'    => __( 'Click here to cancel reply.' )
)); ?>

</div><!-- #comments -->